/*
 * Copyright (C) 2004-2005 ruby-ecore team (see AUTHORS)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <ruby.h>

#include <Ecore_Evas.h>

#include "../ecore/rb_ecore.h"
#include "rb_ecore_evas_main.h"
#include "rb_ecore_evas.h"
#include "rb_software_x11.h"
#include "rb_gl_x11.h"
#include "rb_xrender_x11.h"
#include "rb_fb.h"
#include "rb_buffer.h"

void Init_ecore_evas (void)
{
	VALUE m;

	rb_require ("ecore");
	rb_require ("evas");

	rb_require ("ecore_x");

	m = rb_const_get (mEcore, rb_intern ("X"));
	cWindow = rb_const_get (m, rb_intern ("Window"));

	mEvas = rb_define_module_under (mEcore, "Evas");

	Init_EcoreEvas ();
	Init_SoftwareX11 ();
	Init_GlX11 ();
	Init_XRenderX11 ();
	Init_Fb ();
	Init_Buffer ();
}
